com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectFilter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffect<EffectFilter>
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectFilter

-     public class TrackEffectFilter
      extends TrackEffect<EffectFilter>

  Added in v3.27.0 The track effect filter bean

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectFilter.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.TrackEffect

      `bean, duration, startTime`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` Set the execute duration in the track
    `void` | `setEffectConfig(EffectConfig effectConfig)` Set up the custom effects json Object
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Sets the start time in the track

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.TrackEffect

      `getBean, getDuration, getDuration, getEndTime, getEndTime, getResId, getSource, getStartTime, getStartTime, getViewId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setStartTime

          public void setStartTime(long startTime,
                                   java.util.concurrent.TimeUnit timeUnit)

      Description copied from class: `TrackEffect`
      Sets the start time in the track
      Overrides:
        `setStartTime` in class `TrackEffect<EffectFilter>`
        `timeUnit` - TimeUnit

    - #### setDuration

          public void setDuration(long duration,
                                  java.util.concurrent.TimeUnit timeUnit)

      Description copied from class: `TrackEffect`
      Set the execute duration in the track
      Overrides:
        `setDuration` in class `TrackEffect<EffectFilter>`
        `timeUnit` - TimeUnit

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

      Set up the custom effects json Object
      Parameters:
        `effectConfig` - `EffectConfig`.